commit:     e74e48b2ef80be60db8a588b78f79c4b7b40cb98
Author:     Vitaly Zdanevich <zdanevich.vitaly <AT> ya <DOT> ru>
AuthorDate: Tue Mar 28 08:31:50 2023 +0000
Commit:     Vitaly Zdanevich <zdanevich.vitaly <AT> ya <DOT> ru>
CommitDate: Tue Mar 28 08:31:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e74e48b2

Add app-office/joplin-bin

Signed-off-by: Vitaly Zdanevich <zdanevich.vitaly <AT> ya.ru>

 app-office/joplin-bin/Manifest                 |  1 +
 app-office/joplin-bin/joplin-bin-2.9.17.ebuild | 27 ++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/app-office/joplin-bin/Manifest b/app-office/joplin-bin/Manifest
new file mode 100644
index 000000000..ce8c41e27
--- /dev/null
+++ b/app-office/joplin-bin/Manifest
@@ -0,0 +1 @@
+DIST Joplin-2.9.17.AppImage 231352915 BLAKE2B 
a72e570e565c992c1af900f5902a8f667689782c466fe5a7dbd32e1519db3af9a3ec147cfeb8e3303a94561d18821632d5dab6f8b1d0bcf1af9a9817ebe70bd1
 SHA512 
ca201a5a9239ef1749c8b6a07d97f36a8c3d1b7b4ecc4a5f0074f4b9ee6b9ac966cc2fa6a277ea08f433f8a0a2554b68b7d73a0e1b9adf74b8c0e865ff30b47d

diff --git a/app-office/joplin-bin/joplin-bin-2.9.17.ebuild 
b/app-office/joplin-bin/joplin-bin-2.9.17.ebuild
new file mode 100644
index 000000000..96c40fabf
--- /dev/null
+++ b/app-office/joplin-bin/joplin-bin-2.9.17.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Note taking app, on Electron, can import notes from Evernote"
+HOMEPAGE="https://joplinapp.org";
+
+SRC_URI="https://github.com/laurent22/joplin/releases/download/v${PV}/Joplin-${PV}.AppImage";
+KEYWORDS="~amd64"
+
+LICENSE="AGPL-3"
+SLOT="0"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND="sys-fs/fuse:0"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="*"
+S="${WORKDIR}"
+
+src_install() {
+       cp "${DISTDIR}/Joplin-${PV}.AppImage" joplin-bin || die
+       dobin joplin-bin
+}

Reply via email to